Release history for Zonemaster component Zonemaster-Backend


v12.0.0 2025-12-17 (part of Zonemaster v2025.2 release)

 [Breaking changes]
 - Removes deprecated API method get_batch_job_result (#1228)

 [Features]
 - Adds Dockerfile for Backend (#1225)


v11.5.0 2025-06-26 (part of Zonemaster v2025.1 release)

 [Deprecations]
 - API method "get_batch_job_result" is deprecated to be removed in v2025.2.
   Use method "batch_status" instead. #1215

 [Features]
 - Redefines "batch_status" to replace "get_batch_job_result" #1215

 [Fixes]
 - Updates translation (Norwegian) #1213
 - Adapts to changed Engine API #1143
 - Sorts historic tests by creation date and not ID #1212


v11.4.0 2025-03-04 (part of Zonemaster v2024.2.1 release)

 [Features]
 - Adds translation to Slovenian language (#1195, #1185)

 [Fixes]
 - Updates translations (#1199)


v11.3.0 2024-12-09 (part of Zonemaster v2024.2 release)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming release.

 [Features]
 - Makes utilities zmb() and zmtest() supported (not experimental) and adds file
   function for batch creation in zmb() (#1186)


v11.2.0 2024-07-01 (part of Zonemaster v2024.1 release)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming release.
 - Migration of the database is required by this release to retain
   consistency in results in the database.

 [Features]
 - Fixes regression that caused Backend’s messages not to be
   translated (#1166)

 [Fixes]
 - Avoids double UTF-8 encoding in zmb (#1144)
 - Makes job_status report proper percentages (#1150)
 - Updates language in experimental RPC API parameters (#1155)
 - Makes RPCAPI call Translator’s instance() method, instead of new()
   (#1167)
 - Bumps DBD::SQLite to 1.66 for Rocky Linux 8 (#1174)


v11.1.1 2024-03-28

 [Fixes]
 - Corrects the database migration script for version
   v11.1.0 (#1159)


v11.1.0 2024-03-18 (public release version)

 [Release information]
 - New database schema requires migration of existing database.

 [Features]
 - Migrates to new test results database table (#1092, #1145, #1147)
 - Adds possibility to run several Test Agents on the same or multiple
   servers to the same queue to increase capacity (#1121)
 - Adds input name normalization (#1132)

 [Fixes]
 - Fixes FreeBSD testagent start script (#1146)
 - Fixes a change in JSON::Validator code (#1109)


v11.0.2 2023-09-08 (public fix version)

 [Fixes]
 - This version contains no real changes. It has been created to
   require a higher (fixed) version of Zonemaster-Engine.


v11.0.1 2023-08-07 (public fix version)

 [Fixes]
 - This version contains no real changes. It has been created to
   require a higher (fixed) version of Zonemaster-Engine.


v11.0.0 2023-06-21 (public release version)

 [Breaking changes]
 - Removes deprecated features related to locale (#1097)
 - Remove deprecated "creation_time" key (#1081)

 [Features]
 - Adds new experimental API methods and method names
   (#1111, #1096, #1083, #1054)

 [Fixes]
 - Updates translations (#1108, #1103, #1102)
 - Adds systemd start scripts for Rocky Linux (#1107)
 - Removes documentation moved to the zonemaster/zonemaster
   repository (#1104)
 - Removes dependency to String::ShellQuote (#1093)
 - Dissociate died test from reaching max execution time (#1082)


v10.0.2 2023-03-01 (public fix release)

 [Fixes]
 - Updates translation (#1079)


v10.0.1 2023-01-31 (public fix release)

 [Fixes]
 - Updates translation (#1073, #1074)
 - Fixes uninitialized value warning in zm-rpcapi.log (#1072)


v10.0.0 2022-12-19 (public release version)

 [Deprecation]
 - The use of language tags that includes country code is
   deprecated. See "docs/API.md#language-tag". Such
   language codes will be made illegal in the v2023.1 release.
   Use language codes without country code instead.
 - The use of an empty string in the "LANGUAGE.locale"
   setting is deprecated and will be made illegal in the
   v2023.1 release. See "docs/Configuration.md#language-section".
 - The use of two or more locale tags with the same language code
   in the configuration is deprecated and will be made illegal in the
   v2023.1 release. See "docs/Configuration.md#language-section".

 [Breaking changes]
 - Removes database primary key from API method "get_test_results"
   (#946, also see #949).

 [Features]
 - Provides human readable messages when the test agent dies (#1058)
 - Adds testcase descriptions in test results (#1055)
 - Adds Zonemaster-LDNS version to API method "version_info" (#1050)

 [Fixes]
 - Updates installation instructions (#1069)
 - Updates deprecation information in "docs/API.pm" and
   "docs/Configuration.md" (#1067)
 - Corrects the license statement in Backend.pm (#1059)
 - Fixes get_data_from_parent_zone method (#1057)
 - Updates to use Net::IP::XS directly (#1053)
 - Updates documents to use lowercase fragments when referring
   to internal headings (#1052)
 - Sets IPV6_DISABLED message to INFO in testing profile (#1051)
 - Removes enabling IPv4 and IPv6 by default in zmtest
   (#1041, #1040, #1066)


v9.0.1 2022-07-08 (public fix release)

 [Fixes]
 - Corrects a bug where Zonemaster-Backend does not respect the IPv4 or
   IPV6 setting in a custom profile (#1046, #1039)
 - Updates the Danish translation (#1034)


v9.0.0 2022-06-09 (public release version)

 [Deprecation]
 - The use of language tags that includes country code is
   deprecated. See "docs/API.md#language-tag". Such
   language codes will be made illegal in the v2022.2 release.
   Use language codes without country code instead.
 - The use of an empty string in the "LANGUAGE.locale"
   setting is deprecated and will be made illegal in the
   v2022.2 release. See "docs/Configuration.md#language-section".
 - The API methods "get_test_results" and "get_test_history"
   returns two keys with the same timestamp in different
   formats. The "creation_time" key is deprecated and will
   be removed with release v2023.1. Use the "created_at"
   key instead. See "docs/API.md#api-method-get_test_results"
   and "docs/API.md#api-method-get_test_history".
 - API method "get_test_results" returns key "id", which is now
   deprecated and will be removed in v2022.2 release. See
   "docs/API.md#api-method-get_test_results". (#949)
 - Removes deprecated configuration options (#954)

 [Breaking changes]
 - Domain names cannot be entered with consecutive trailing
   dots (#983)

 [Features]
 - Adds support for CentOS Linux 7 again - to be removed again
   with release v2023.1 (#1027)
 - Updates zmb for "start_domain_test" and "add_batch_job" to include
   support for "queue" (#1006, #1002)
 - Makes "/" valid character in domain names and fixes handling of
   "_" in domain names (#969)

 [Fixes]
 - Adds migration script and instructions for database for
   this version (#1031, #1030, 1037)
 - Fixes libraries and dependencies (#1029, #1022, #991, #990)
 - Updates language translations (#1028, #1019, #1024, #1020,
   #1025, #1018, #1016)
 - Updates installation instructions (#1021, #1023)
 - Improves logging (#1014, #1013, #1004, #996, #966)
 - Improves test progress computation (#988)
 - Improves reuse of previous test (#1010, #979)
 - Makes sure domain names are stored without trailing dot even if
   submitted with trailing dot (#1005)
 - Improved documentation (#1007, #993, #737, #974, #976, #968, #950)
 - Fixes handling of trailing dots in domain names and name server
   names. Consecutive dots are not permitted. Name server name with
   trailing dot will not crash. (#983)
 - Fixes bug that prevented domain "0" to be tested (#998)
 - Improves code (#997, #981, #980, #957, #919, #975, #973, #972,
   #964, #962, #958, #942, #888, #769)
 - Updates messages (#986)
 - Uses libidn2 instead of libidn (#984)
 - Updates zmb (#985, #920)
 - Makes batch tests no longer update progress while running (#944, #274)
 - Improved database schema (#977, #970)
 - Uses ISO 8601 format on all datetimes (#967)
 - Makes call for non-existing batch ID return error (#965, #860)
 - Improves IDN support (#963)
 - Makes Testagent survive database connection failure (#955, #878)
 - Improves error handling in TestAgent (#956, #933)
 - Cleans up determination of config file default path (#937)
 - Fixes unstoppable Testagent daemon (#943, #905)


v8.1.0 2021-12-20 (public fix release)

 [Features]

 - Adds support of Spanish language (#900)
 - Adds Spanish translation of error messages (#936, #910)
 - Adds Danish translation of error messages (#930, #909)
 - Adds Norwegian translation of error messages (#935, #912)

 [Fixes]

 - Corrects installation instruction for FreeBSD (#926, #925)
 - Fixes Perl code to be compatible with older versions of Perl (#929)
 - Fixes inconsistency of test age definition (#928)
 - Fixes handling of UTF-8 in PostgreSQL. The error made testing of IDN
   names in U-label format break when PostgreSQL was database backend (#932,
   #931)


v8.0.0 2021-12-03 (public release version)

 [Breaking changes]
 - Removes support of PostgreSQL before version 10 (#892)
 - Removes "retry" configuration setting (#896, 881)

 [Deprecation]
 - Deprecates country code in RPC API calls (#796, #794)

 [Features]
 - Adds translation of error messages (#891)
 - Adds Finnish translation of error messages (#921, #911)
 - Adds Swedish translation of error messages (#899)
 - Replaces CentOS with Rocky Linux (#908, #895)
 - Adds upgrade documentation (#907, #879, #618)
 - Adds support for collecting metrics (#844)
 - Optimization of batches when PostgreSQL is used (#890)
 - Improved result history response in API (#837, #830)
 - Makes database port configurable (#755, #496)

 [Fixes]
 - Document clean-up and improvement (#913, #907, #882, #873, #871,
   #822, #814, #816, #797)
 - Improves error catching (#916, #914)
 - Database clean-up and improvement (#906, #887, #859, #833, #839, #831,
   #815, #824, #826, #812, #798, #775, #804, #805, 806)
 - Updates zmb command line tool (#825, #628, #810, #768, #787, #780)
 - Updates dependencies (#902, #901, 903)
 - Fix translation issue (#894, #811, #809)
 - Improves error message when creation of API user is blocked (#889)
 - Improves RPC API error messages (#853, #789, #847, #819, #817, #820,
   #703)
 - Harmonize database code (#841, #832, #840, #865, #834, #689, #805)
 - Use SQLite by default (#855)
 - Improves handling of crashed tests (#845)
 - Fixes configuration loading error (#851, #813)
 - Improves log handling (#843)
 - Fixes local adress mapping (#836)
 - Updates default location for configuration file (#835)
 - Improves validation (#801, #808, #685, #808, #802, #799, #757)


v7.0.0 2021-09-15 (public security release)
 [Fixes]
 - By design adding a API user (needed for the batch function) is limited to
   connections over localhost. With a default GUI installation with reverse
   proxy all connections are over localhost, which means that adding a API
   user is publicly available if the GUI is publicly available. If you can
   add API users, then you can start several large batch jobs which may
   overload the Zonemaster system. (#838, #850)
   - Makes RPCAPI use the real remote IP for verification to restore the
     limitation that the API key can only be added from localhost.
   - Disables RPCAPI method "add_api_user" by default.
   - Adds configuration key for "backend_config.ini" to enable RPCAPI method
     "add_api_user".
   - Adds configuration key for "backend_config.ini" to disnable RPCAPI method
     "add_batch_job".
 - Prevents RPCAPI daemon to recreate workers when workers crashed to do error
   in configuration file. This is a FreeBSD specific error. (#813, #862)

v6.2.0 2021-05-28 (public release version)

 [Features]
 - Adds support for Finnish translation (#712, #711)

 [Fixes]
 - Updates installation document (#771, #766, #714)
 - Improves daemon and configuration handling (#782, #781 #767, #756, #759
   #752, #753, #685, #754, #749, #745, #730, #719, #734, #725, #724, #717,
   #727, #726, #692, #713)
 - Improves database layer (#732, #715, #723, #722)
 - Updates unit tests (#764, #738, #731, #720, #721, #490)
 - Cleans-up (#739, #733, #627, #654, #718)


v6.1.0 2021-02-06 (public release version)

 [Features]
 - Adds full support of a light weight SQLite database backend
   as an alternative to MariaDB or PostgreSQL database daemons
   (#695, #690, #177)
 - Extends zmtest with support for selecting profile. Extends zmb
   with support for methods "profile_names" and "get_language_tags"
   and support for selecting profile (#675)
 - Installs zmtest and zmb test tools in path (#693, #687)
 - Deprecates "force_hash_id_use_in_API_starting_from_id"
   configuration item (#694)

 [Fixes]
 - Creates a work-around to allow for empty "ip" in nameserver
   objects in "start_domain_test" method (#705, #702)
 - Updates installation document (#701, #700, #699, #698, #697,
   #696, #695, #686)
 - Removes unused configuration properties (#688, #273)
 - Updates the configuration file document (#684, #520)
 - Resolves issue where selected profile and selected IP
   transport are in conflict (#682, #683)
 - Removes unused configuration file (#672)
 - Corrects unit test (#677, #679, #671)


v6.0.2 2020-11-18 (public fix release)

 [Fixes]
 - Fixes a bug in unit test that prevented update in
   some cases (#670, #671)


v6.0.1 2020-11-09 (public release version)

 [Fixes]
 - Fixed a version specification error in Makefile.PL
   (#668)


v6.0.0 2020-11-06 (public release version)

 [Breaking changes]
 - Updated language tag format in the RPCAPI (#629)
   - Restricted language tag.
   - Language tag is set in backend.ini.
   - New languages can be added without code change.
   - RPCAPI can report supported language tags.

 [Features]
 - New tools for command line test (#662, #658, #652, #632,
   #628, #626, #536, #534)
 - Improved log handling in RPCAPI (#653, #656, #650, #840)
 - Improved log handling in testagent (#644, #612)

 [Fixes]
 - Updated installation instructions (#665, #663, #660, #658,
   #633, #638, #449, #620)
 - Corrected MANIFEST (#657)
 - Improved error handling handling RPCAPI daemon (#545, #213)
 - Garbage collection testing documentation (#567, #578)
 - Corrected API documentation (#647, #648)
 - Updates and corrections in Translator (#655, #649, #631)
 - Add Norwegian in documentation and configuration (#643)
 - Clean-up (#642, #598, #597, #639, #638, #641, #193)
 - Fix warning in test agent (#635, #630, #625, #607)
 - Fix warning in RPCAPI (#636, #624, #634)


v5.0.2 2020-05-22

 [Fixes]
 - Some zones create too large result to fit into the zonemaster
   database which made the Test Agent crasch (only MySQL or
   MariaDB, not PostgreSQL, database was affected). This version
   increases the database size (#616, #617).
 - The "Upgrade" section in the Zonemaster-Backend main README
   has updated instructions for the zonemaster database upgrade.
 - This release does not introduce any changes to neither
   RPC-API nor Test Agents.


v5.0.1 2020-05-15

 [Fixes]
 - This release does not introduce any changes to neither
   RPC-API nor Test Agents.
 - Making database patch files being installed and updated
   instruction for database patch. The tools are moved to
   the share folder (#613).
 - Adding reference in the installation instructions on how
   to do when upgrading (#611)


v5.0.0 2020-04-30

 [High light]
 - The database schema has been changed. Create a new
   database or migrate it with tool found in scripts folder

 [Changes]
 - The database schema has been changed (#544).
 - Adds inline Ubuntu implementation of status_of_proc (#592, #591)
 - Extends compatibility with systemd-tmpfiles on CentOS (#588, #574)
 - Implement status command for RPCAPI daemon on LSB (#586, #582, #580)
 - Use one service script per daemon on System V (#579, #576)
 - Update instructions after dropping Debian 8 (#556)
 - Added garbage collector for unfinished tests (#544, #525)
 - Updating installation instructions for FreeBSD (#535)
 - Added graceful shutdown for TestAgent (#533, #532
 - Log details of terminated tests (#531, #341)
 - Avoid reloading configuration in Test Agent (#529, #528, #214)
 - Give more feedback to the user in case something goes wrong (#524)

 [Fixes]
 - Avoid rerunning unrelated tmpfiles configs (#601, #600)
 - Fix for translation on FreeBSD 12.1 (#594, #593)
 - Missing files in MANIFEST added (#585)
 - Add forgotten dependency on CentOS (#590, #589)
 - Corrected config documentation (#568)
 - Added missing use JSON::PP (#577)
 - Updated the upgrade instructions (#555, #558, #572)
 - Update of installation instructions (#564, #604, #584, #606, #608)
 - Fixes UTF-8 issue for domain names with U-label (#570, #571)
 - Fixed Backend not starting after reboot on Debian/Ubuntu
   (#513, #565)
 - Fix warning in test agent daemon (#563, #557)
 - Fix crash in RPCAPI (#562, #559)
 - Work around deprecation warning (#537, #507)
 - Partial fix for translation on FreeBSD 11 (#526, #353, #512)
 - Fixing error handling and logging (#527)




v4.0.1 2019-05-31 (public fix version)

 [Fixes]
 - Corrects in Makefile.PL the versions of Zonemaster::Engine
 and Zonemaster::LDNS that this version of Zonemaster::Backend
 depends on (#518, #519)

v4.0.0 2019-05-22 (public release version)

 [Status]
 - This a public release fully tested before release. This version
   will be available on CPAN.

 [Fixes]
 - Updated installation instructions (#502, #510, #511)
 - Updated initial sql script for postgres (#504)
 - Correction in API document (#501)
 - Corrected unit test (#491)
 - Fixed memory leak issue (#481, #489, #482)
 - Updated recorded data for unit tests (#486, #492)
 - Dropped support for Ubuntu 14.04 (#495)
 - Added dependency (#483)
 - Configuration for Travis (#484)

 [API change]
 - Stricter API (#494, #317)


v3.0.0 2019-01-27 (pre-release version)

 * Status
   * This is a pre-release version not fully tested on all supported
     OS's and Perl versions. This version will not be available on
     CPAN.
 * API change
   * The RPC-API has been updated (see below)
 * Features
   * Make file locations overridable #442
   * Update of RPC-API
     * Change to unsensitive profile name check in the API #458
     * Create an API method to get the list of public profile name #457
     * Remove deprecated code, key/param and documentation #459
     * Complete specification of API input parameter formats 460
     * Also see adoption of new profile
   * Adopt to the new profile in Zonemaster-Engine
     * Use the new profiles feature of the Zonemaster-Engine #461
     * Profile documentation updates #455
     * Various fixes of new feature #466, #467
     * Fixed old 'default_profile' syntax and changed to 'default' #469
   * Added logging in Test Agent #398
 * Fixes
   * All link references on Github now to zonemaster/zonemaster instead
     of old dotse/zonemaster #443
   * Added missing support for "filter" in "get_test_history" #446
   * Add a note about the empty string, stating that it's
     allowed but deprecated. #413
   * Fixed invalid Zonemaster::Backend::Config call #472
   * Remove geolocation code #462
   * Updated .travis.yml with supported versions of Perl #464
   * Updated .travis.yml to build against Engine develop branch #463
   * Fixed an issue with the JSON boolean type #470
   * Add docs/Configuration.md to MANIFEST #475


v2.1.0 2018-06-25
    Updates
     * Updated API specification (#320)
     * Add input validation layer (#399)
     * Deprecate validate_syntax (#411, #231
     * Update "get_test_history" with the "filter" property (#412, #293)
     * "get_ns_ips" should have an alias to "get_host_by_name" (#421)
     * Remove personnal information (GDPR) (#420)
     * delete user info from start_domain request (#425)

    Fixed
     * Update paths and permissions in installation doc and startup script (#383)
     * Make the installation instruction easier to follow (#391)
     * Corrected error message for IDN (#382)
     * Deduplicate sanity checks across OSes (#393)
     * Editorial updates in Installation instructions (#394)
     * Wrong policy file loaded by TestAgent.pm (#392, #400)
     * More explicit error message when ini file cannot be loaded (#302, #419)
     * Update JSON::Validator from 2.06 to 2.07 (#422)
     * Update manifest with Validator.pm (#426)
     * Updated the install instructions to use cpanm and others (#430)
     * Allow null, string, number as id in json rpc request (#431, #432)
     * Update sed commands on FreeBSD in installation instructions (#435)
     * Editorial updates of installation instructions (#438)
     * Removed unused file and its entry in MANIFEST (#437)
     * Updates for FreeBSD consistently making /usr/local/etc/zonemaster
       its directory for Zonemaster-Backend configuration file (#436)


v2.0.2 2018-02-23
     * Protect domain name input field from disallowed characters (#380, #381)

v2.0.1 2018-01-12
    Natural Language support
     * Update Translator.pm Add support for Danish "da" in Backend. (#346)

    Fixed
     * Workaround for "query of death" problem (#287, #325)
     * Partial fix of leakage of system path information (#334)
     * Fixed the issue that validate_syntax and start_domain_test functions do not correctly validate
       IPv4 and IPv6 addresses (#173, #328)
     * Fixed: Use of uninitialized value $config/$policy (#268, #329)
     * Fixed incomplete stored data for unit test and fixed bug in
       TestAgent.pm (#337, #342)
     * Fix config and start files (#336)
     * Fixed: ipv4 || ipv4 must be ipv4 || ipv6 (#319, #326)
     * Create a new index for get_test_history API (#292, #324)
     * Update Installation.md (#344, #351, #352, #356, #359)
     * Update lowest version of dependency in Makefile.PL (#356)
     * Update Translator.pm Add support for Danish "da" in Backend. (#346)
     * Start script fix (#345)
     * Add repo and issue tracker to metadata (#348)
     * Adjusting the locale environment before the daemons are started (#347)


v2.0.0 2017-11-02
	Switch version scheme to Semantic Versioning.
	Changed
	 * Renamed distribution from Zonemaster-WebBackend to Zonemaster-Backend (#284)
	 * Renamed zonemaster_backend.psgi to zonemaster_rpcapi.psgi (#284)
	 * Renamed zm_wb_daemon to zonemaster_backend_testagent (#284)
	 * Renamed CHANGES to Changes
	Fixed
	 * Fixed licensing discrepancy (#308)
	 * Fixed broken imports (#301)
	 * Replaced dependencies on obsolete Net::LDNS and Zonemaster with Zonemaster::LDNS and Zonemaster::Engine (#299)
	 * Commented out bogus line in backend_config.ini (#307)
	 * Updated installation instructions (#300, #303, #304, #305, #306)
	 * Fixed Commonmark rendering on Github (d25c36a)

v1.2.0 2017-04-11 Public Pre-Release
	Fixes #182 - Tests fail with `unexpected end of string while parsing JSON string
	Fixes #206 - Perl warning when creating a batch
	Fixes #270 - "default_profile" would not be loaded
	Fixes #276 - Accept SHA-384 digests in DS records.
	Fixes #277 - Modified instances of JSON to JSON::PP in Engine.pm and DB/SQlite.pm
	Fixes #279 - Add mysql (no more available by default in travisci)
	Fixes #266 - Undelegated test (Backend) ignores name that does not resolve to address
	Fixes #267 - Undelegated test (Backend) does lookup on in-zone names

v1.1.0 2016-12-08
	Fixes #247 - Error while creating database in Ubuntu 16.0.4
	Fixes #237 - Update installation instructions
	Fixes #236 - Key/parameter "advanced" should be deprecated in the backend
	Fixes #233 - API documentatuion improvments
	Fixes #232 - Various improvements to the installation guide
	Fixes #230 - Add lots of structure to the installation guide
	Fixes #219 - Make IPv4 or IPv6 optionnal. If none are provided the engine will run with both enabled
	Fixes #211 - Create a config_file parameter allowing a backend to execute only tests of a certain priority
	Fixes #210 - Make IP adresses for nameservers optional
	Fixes #207 - Batch never completes
	Fixes #201 - Add IP '127.0.0.1' to the list of accepted IP addresses to the add_api_user API method
	Fixes #200 - Syntac errors in the API.md documentation
	Fixes #197 - Addeed an Empty WebBackend.pm module to the distribution
	Fixes #196 - Fixes errors in marameters retruned by the backend with MySQL DB
	Fixes #191 - The add_batch_job API takes hours to schedule several hundread thousand domains for thesting
	Fixes #186 - Why is "ip" required in "start_domain_test" ?
	Fixes #165 - .sql files belong in "share", not doc
	Fixes #161 - Bug in Zonemaster/WebBackend/Engine.pm when validating parameters
v1.0.7 2016-10-17
	Fixes #168 - Published to CPAN
v1.0.6 2016-10-11
	Fixes #189 - Fixes s/cutom/custom/ typos
	Fixes #188 - Fixes s/professes/processes/ typos
	Fixes #185 - Document "add_api_user" and "add_batch_job" completely
	Fixes #183 - Banckend doesn't pass "make test" on perl 5.24
	Fixes #174 - Filters feature (allows to use this possibility of the engine in the backend APIs)
	Fixes #159 - "make test" of zonemaster-backend fails with non-default locale under Ubuntu 14.04
	Fixes #158 - Dates needs to be returned in UTC from the database
	Fixes #156 - Add Docker based installation instructions
	Fixes #155 - Change de preflight test to block only on Basic00
	Fixes #153 - Improve the batch API (Fixed and added bulk testing methods)
v1.0.5 2015-12-17
	Fixes #148 - Use iana_profile.josn instead of iana.json as source file for IANA tests
	Fixes #141 - Database initialisation files (.sql) not updated with the new hash_id column
	Fixes #138 - The Bacakend's generated JSON is locale dependant
	Fixes #134 - Bug fix of the crontab job runner
	Fixes #127 - The Bakend Translator does not handle non scalar message parameters
	Fixes #125 - Non numeric IDs for tests
	Fixes #124 - modified all instances of .SE to IIS
	Fixes #123 - Zonemaster crashes constantly in Free BSD on using mysql
	Fixes #122 - Added support for testing the backend on Travis with all 3 supported database backends
v1.0.3 2015-06-26
	Fixes #116 - Add user geolocation support
	Fixes #115 - Pg backend cleanup
	Fixes #114 - Misc backend fixes
	Fixes #113 - Api doc improvements
	Fixes #112 - Remove tests for cases that are no longer supposed to fail.
	Fixes #111 - Change preflight test to only check that the given name is syntactica…
	Fixes #110 - Idn problem
	Fixes #108 - Experimental method #9 (create_user) cant be run using API.md
	Fixes #107 - Method #8 (get_test_history) cant be run using API.md
	Fixes #106 - Method #7 (get_test_results) cant be run using API.md
	Fixes #105 - Method #6 (test_progress) cant be run using API.md
	Fixes #104 - Method #5 (start_domain_test) cant be run using API.md
	Fixes #103 - Release 1.0.2 of the backend KO
v1.0.2 2015-05-11
	Fixes #100 - CentOS instructions
	Fixes #99 - Fixes #59
	Fixes #98 - Further updates for Debian instructions 2
	Fixes #97 - Debian instructions for the backend updated
	Fixes #96 - Debian-compatible start script
	Fixes #93 - Make test more robust
	Fixes #92 - Updates backend install for Debian
	Fixes #91 - API documentation needs to be improved
	Fixes #90 - Cleanup of backend code
	Fixes #89 - Changing the execution of tests for the backend
	Fixes #88 - Installation documentation: add instructions for MySQL
	Fixes #87 - fixed indentation
	Fixes #86 - Mysql backend support
	Fixes #85 - MySQL support for the backend
	Fixes #84 - Fix install1
	Fixes #83 - Fix ubuntu install doc1
	Fixes #82 - Fix ubuntu install doc1
	Fixes #81 - Fix ubuntu install doc
	Fixes #80 - update backend install
	Fixes #79 - reference to sqlite is wrong
	Fixes #78 - How to stop the process, closes #70
	Fixes #77 - Lots of documentation fixes.
	Fixes #76 - The API examples might not be correct
	Fixes #75 - Fixes links in the README, and cleanup of the API docs.
	Fixes #74 - Renamed documentation files
	Fixes #73 - Lots of small changes
	Fixes #72 - The API documentation quotes underscores
	Fixes #71 - Change the default backend to PostgreSQL,
	Fixes #70 - Installation instructions: stop and restart?
	Fixes #69 - Installation instructions: how do I verify the setup?
	Fixes #68 - Installation instructions: errors when setting up database
	Fixes #67 - Installation instructions: configuration file
	Fixes #66 - Installation instructions: database setup
	Fixes #65 - Issues while setting the database
	Fixes #64 - make test failed for zonemaster-backend
	Fixes #63 - Cleanup
	Fixes #62 - Remove MySQL and CouchDB dependencies from makefile
	Fixes #60 - Add the Changelog file describing the issues fixed in each release
	Fixes #59 - Make the modifications described in dotse/zonemaster-gui#86
	Fixes #57 - Some adjustments for Ubuntu installation
	Fixes #54 - Choose which database is needed for the backend

v1.0.1 2015-02-24
	Fixes #45 - Updated and moved the client.pl and Client.pm scripts to make it clear they are only ment as code snippets
	Fixes #53 - Version change from 1.0.0 to 1.0.1 for release 2015.1
	Fixes #48 - Disabled the "make install" target in makefiles
	Fixes #17 - Remove get_data_from_parent_zone_1 method from Engine.pm
	Fixes #35 - Hardcode UTF-8 as output encoding for the BackendTranslator module (disabling reading of the uncodind to use from system locale variables)
	Fixes #33 - Remove reference to Net::DNS::Keyset
	Fixes #27 - Solved encoding problem with #17
	Fixes #25 - Fix for security related problem in the MySQL module
	Fixes #20 - The Runner.pm module uses wrong version of Zonemaster to run the tests
	Fixes #19 - Preflight check: Domian existance test does not work
	Fixes #18 - The "Fetch data from parent zone" code does not work as it should for the NS records.

v1.0.0 2014-12-30


v1.0.0 2014-12-11 Public beta release.
	Fixes #8   - Add README.md to the backend
	Fixes #225 - Missing install instructions for Web UI
	Fixes #6   - Impossible to start test for afnic.fr in the undelegated tab
	Fixes #94  - Seperate history delegated vs undelegated
	Fixes #197 - System output in the basic view
	Fixes #193 - Information leakage in GUI's System-module
	Fixes #235 - Internal server error on testing ".iis.se"
	Fixes #193 - Information leakage in GUI's System-module
	Fixes #203 - Interfaces does not take into account the winter timings
	Fixes #222 - "Fetch data from Parent zone" does not work
	Fixes #240 - No input validation on name server name
	Fixes #245 - Zonemaster Backend doesn't handle hung processes
	Fixes #184 - New logo fro the Web GUI
	Fixes #170 - Translation of the results
	Fixes #129 - History should differentiate from delegated, undelegated and batch
	Fixes #152 - Delay in start of the test (when the same page is used for testing a second domain)
	Fixes #121 - Does not support Swedish language
	Fixes #132 - Does not run for all broken domains (e.g. broken.dnssec.ee)
	Fixes #139 - No line-feed in output from GUI
	Fixes #127 - Does not support IDN 2.0 domains
	Fixes #117 - Disable both IPv4 and IPv6 possible
